Bug 988832 - (CVE-2013-4156) CVE-2013-4156 openoffice.org, libreoffice: NULL pointer dereference when parsing certain DOCM documents
CVE-2013-4156 openoffice.org, libreoffice: NULL pointer dereference when pars...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130726,reported=2...
: Security
Depends On:
Blocks: 988835
  Show dependency treegraph
 
Reported: 2013-07-26 09:57 EDT by Jan Lieskovsky
Modified: 2016-03-04 07:28 EST (History)
8 users (show)

See Also:
Fixed In Version: Apache OpenOffice 4.0, LibreOffice 3.6.7, LibreOffice 4.0.4, LibreOffice 4.1.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 00:57:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-07-26 09:57:38 EDT
A NULL pointer dereference flaw was found in the way Apache OpenOffice and LibreOffice, office productivity suites, used to previously handle certain Microsoft Office Open XML format / Microsoft Office Word Macro-Enabled (DOCM) documents. A remote attacker could provide a specially-crafted DOCM format file that, when processed in some application from the Apache OpenOffice or LibreOffice suites would lead to that applications crash.

References:
[1] http://www.openoffice.org/security/cves/CVE-2013-4156.html
[2] http://www.libreoffice.org/advisories/cve-2013-4156/
Comment 1 Jan Lieskovsky 2013-07-26 12:39:09 EDT
This issue affects the version of the openoffice.org package, as shipped with Red Hat Enterprise Linux 5.

--

This issue affects the version of the libreoffice package, as shipped with Red Hat Enterprise Linux 6.

--

This issue did not affect the versions of the libreoffice package, as shipped with Fedora release of 18 and 19.
Comment 3 David Tardon 2013-07-29 04:10:27 EDT
(In reply to Jan Lieskovsky from comment #0)
> A NULL pointer dereference flaw was found in the way Apache OpenOffice and
> LibreOffice, office productivity suites, used to previously handle certain
> Microsoft Office Open XML format / Microsoft Office Word Macro-Enabled
> (DOCM) documents. A remote attacker could provide a specially-crafted DOCM
> format file that, when processed in some application from the Apache
> OpenOffice or LibreOffice suites would lead to that applications crash.

I thought our policy was to ignore plain crashes?
Comment 5 Huzaifa S. Sidhpurwala 2013-07-31 00:57:20 EDT
Statement:

We do not consider a denial of service flaw in a client application such as OpenOffice to be a security issue.

Note You need to log in before you can comment on or make changes to this bug.